import { Injectable } from '@angular/core';
import { MainService } from 'src/app/services/main.service';

@Injectable({
  providedIn: 'root'
})
export class WorkOrderLogService {
  constructor(
    private mainService: MainService,
  ) { }

  // 列表-查
  query({pageIndex, pageSize, hosId, searchDto}) {
    console.log(searchDto);
    let data = {
      idx: pageIndex - 1,
      sum: pageSize,
      record: {
        hosId,
        ...searchDto,
      },
    };
    return this.mainService.getFetchDataList("simple/data", "record", data);
  }

  // 字典
  getDictionary(type) {
    return this.mainService.getDictionary("list", type);
  }
}


